Skip to main content
GET
Get inference API key

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

api_key_name
string
required

Api key name.

Minimum string length: 4
Pattern: ^[a-z0-9]([-a-z0-9]*[a-z0-9])?$
Example:

"aws-dev"

Response

200 - application/json

OK

created_at
string
required

Timestamp when the API Key was created.

Example:

"2023-10-01T12:00:00Z"

deployment_names
string[]
required

List of inference deployment names to which this API Key has been attached.

Example:
description
string | null
required

Description of the API Key.

Example:

"This key is used for accessing the inference service."

expires_at
string | null
required

Timestamp when the API Key will expire.

Example:

"2024-10-01T12:00:00Z"

name
string
required

API Key name.

Example:

"my-api-key"